package cn.palmte.work.bean;

import java.math.BigDecimal;

/**
 * @author Yuanping Zhang
 * @date 2021/11/15
 */
public class FormerBean extends IncomeCostBean{

    /**
     * 所得税
     */
    private BigDecimal costIncomeTax;
    /**
     * 管理总计
     */
    private BigDecimal costManageTotal;
    /**
     * 毛利润
     */
    private BigDecimal grossProfit;
    /**
     * 贡献利润
     */
    private BigDecimal contributionProfit;
    /**
     * 净利润
     */
    private BigDecimal netProfit;
    /**
     * a销售商品、提供劳务收到的现金
     * */
    private BigDecimal saleIncomeCash;
    /**
     * b收到的税费返还
     * */
    private BigDecimal taxReturn;
    /**
     * c其他与经营活动有关的现金【保证金收入】
     */
    private BigDecimal earnestMoneyIncome;
    /**
     * d购买商品、接受劳务支付的现金【设备支出+工程支出】
     */
    private BigDecimal purchaseCost;
    /**
     * e支付的各项税费
     */
    private BigDecimal taxCost;
    /**
     *f支付其他与经营活动有关的现金
     */
    private BigDecimal earnestMoneyCost;
    /**
     * g经营活动产生的现金流量净额
     */
    private BigDecimal netCashFlow;
    /**
     * h投资活动现金流入
     */
    private BigDecimal cashInflowFromInvestingActivities;
    /**
     * i投资活动现金流出
     */
    private BigDecimal cashOutflowFromInvestingActivities;
    /**
     * j投资活动产生的现金流量净额
     */
    private BigDecimal netCashFromInvestingActivities;
    /**
     * k融资资金流入【垫资计划】
     */
    private BigDecimal financingCapitalInflow;
    /**
     * l融资资金流出【还款计划】
     */
    private BigDecimal financingCapitalOutflow;
    /**
     *m筹资活动产生的现金流量净额
     */
    private BigDecimal financingCapitalCashflow;
    /**
     * n货币资金净增加额
     */
    private BigDecimal netIncreaseMonetaryFunds;
    /**
     * 现金流量总计
     */
    private BigDecimal cashFlowTotal;

    public BigDecimal getCostIncomeTax() {
        return costIncomeTax;
    }

    public void setCostIncomeTax(BigDecimal costIncomeTax) {
        this.costIncomeTax = costIncomeTax;
    }

    public BigDecimal getCostManageTotal() {
        return costManageTotal;
    }

    public void setCostManageTotal(BigDecimal costManageTotal) {
        this.costManageTotal = costManageTotal;
    }

    public BigDecimal getGrossProfit() {
        return grossProfit;
    }

    public void setGrossProfit(BigDecimal grossProfit) {
        this.grossProfit = grossProfit;
    }

    public BigDecimal getContributionProfit() {
        return contributionProfit;
    }

    public void setContributionProfit(BigDecimal contributionProfit) {
        this.contributionProfit = contributionProfit;
    }

    public BigDecimal getNetProfit() {
        return netProfit;
    }

    public void setNetProfit(BigDecimal netProfit) {
        this.netProfit = netProfit;
    }

    public BigDecimal getSaleIncomeCash() {
        return saleIncomeCash;
    }

    public void setSaleIncomeCash(BigDecimal saleIncomeCash) {
        this.saleIncomeCash = saleIncomeCash;
    }

    public BigDecimal getTaxReturn() {
        return taxReturn;
    }

    public void setTaxReturn(BigDecimal taxReturn) {
        this.taxReturn = taxReturn;
    }

    public BigDecimal getEarnestMoneyIncome() {
        return earnestMoneyIncome;
    }

    public void setEarnestMoneyIncome(BigDecimal earnestMoneyIncome) {
        this.earnestMoneyIncome = earnestMoneyIncome;
    }

    public BigDecimal getPurchaseCost() {
        return purchaseCost;
    }

    public void setPurchaseCost(BigDecimal purchaseCost) {
        this.purchaseCost = purchaseCost;
    }

    public BigDecimal getTaxCost() {
        return taxCost;
    }

    public void setTaxCost(BigDecimal taxCost) {
        this.taxCost = taxCost;
    }

    public BigDecimal getEarnestMoneyCost() {
        return earnestMoneyCost;
    }

    public void setEarnestMoneyCost(BigDecimal earnestMoneyCost) {
        this.earnestMoneyCost = earnestMoneyCost;
    }

    public BigDecimal getNetCashFlow() {
        return netCashFlow;
    }

    public void setNetCashFlow(BigDecimal netCashFlow) {
        this.netCashFlow = netCashFlow;
    }

    public BigDecimal getCashInflowFromInvestingActivities() {
        return cashInflowFromInvestingActivities;
    }

    public void setCashInflowFromInvestingActivities(BigDecimal cashInflowFromInvestingActivities) {
        this.cashInflowFromInvestingActivities = cashInflowFromInvestingActivities;
    }

    public BigDecimal getCashOutflowFromInvestingActivities() {
        return cashOutflowFromInvestingActivities;
    }

    public void setCashOutflowFromInvestingActivities(BigDecimal cashOutflowFromInvestingActivities) {
        this.cashOutflowFromInvestingActivities = cashOutflowFromInvestingActivities;
    }

    public BigDecimal getNetCashFromInvestingActivities() {
        return netCashFromInvestingActivities;
    }

    public void setNetCashFromInvestingActivities(BigDecimal netCashFromInvestingActivities) {
        this.netCashFromInvestingActivities = netCashFromInvestingActivities;
    }

    public BigDecimal getFinancingCapitalInflow() {
        return financingCapitalInflow;
    }

    public void setFinancingCapitalInflow(BigDecimal financingCapitalInflow) {
        this.financingCapitalInflow = financingCapitalInflow;
    }

    public BigDecimal getFinancingCapitalOutflow() {
        return financingCapitalOutflow;
    }

    public void setFinancingCapitalOutflow(BigDecimal financingCapitalOutflow) {
        this.financingCapitalOutflow = financingCapitalOutflow;
    }

    public BigDecimal getFinancingCapitalCashflow() {
        return financingCapitalCashflow;
    }

    public void setFinancingCapitalCashflow(BigDecimal financingCapitalCashflow) {
        this.financingCapitalCashflow = financingCapitalCashflow;
    }

    public BigDecimal getNetIncreaseMonetaryFunds() {
        return netIncreaseMonetaryFunds;
    }

    public void setNetIncreaseMonetaryFunds(BigDecimal netIncreaseMonetaryFunds) {
        this.netIncreaseMonetaryFunds = netIncreaseMonetaryFunds;
    }

    public BigDecimal getCashFlowTotal() {
//        cashFlowTotal = saleIncomeCash.add(taxReturn).add(earnestMoneyIncome).add(purchaseCost)
//                .add(taxCost).add(earnestMoneyCost).add(netCashFlow).add(cashInflowFromInvestingActivities)
//                .add(cashOutflowFromInvestingActivities).add(netCashFromInvestingActivities).add(financingCapitalInflow)
//                .add(financingCapitalOutflow).add(financingCapitalCashflow).add(netIncreaseMonetaryFunds);
        return cashFlowTotal;
    }

    public void setCashFlowTotal(BigDecimal cashFlowTotal) {
        this.cashFlowTotal = cashFlowTotal;
    }

    /**
     * 原样返回
     */
    @Override
    protected BigDecimal handleSpecial(BigDecimal src) {
        return src;
    }
}
