package cn.palmte.work.controller.backend;

import cn.palmte.work.bean.*;
import cn.palmte.work.model.Project;
import cn.palmte.work.model.ProjectBudgetPlanDetail;
import cn.palmte.work.service.ProjectBudgetService;
import cn.palmte.work.service.ProjectEstimateService;
import cn.palmte.work.service.ProjectService;
import cn.palmte.work.service.ProjectSettleService;
import cn.palmte.work.utils.FreeMarkerUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 *
 * @author Yuanping Zhang
 * @date 2021/11/15
 */
@Controller
@RequestMapping("/project/settle")
public class ProjectSettleController extends BaseController{

    @Autowired
    private ProjectService projectService;

    @Autowired
    private ProjectEstimateService projectEstimateService;

    @Autowired
    private ProjectBudgetService projectBudgetService;

    @Autowired
    private ProjectSettleService projectSettleService;

    @RequestMapping("/add")
    public String add(@RequestParam("id") int id, Map<String, Object> model) {
        Project project = projectService.getProject(id);
        List<ProjectBudgetPlanDetail> projectBudgetPlanDetails = projectBudgetService.getProjectBudgetPlanDetails(project);
        String time = "2021-11";
        model.put("time", time);
        model.put("project", project);
        model.put("estimateBean", projectEstimateService.getEstimate(project));
        model.put("budgetBean", projectBudgetService.getBudget(project));
        model.put("formerBean", projectSettleService.getFormerSettle(project, time));
        //现金表
        model.put("cashFlowBean", projectBudgetService.getCashFlowBean(project, projectBudgetPlanDetails));
        //freemarker可以利用的静态方法
        model.put("Utils", FreeMarkerUtil.fromStaticPackage("cn.palmte.work.utils.Utils"));
        return "admin/project_settle_add";
    }

    @RequestMapping("/edit")
    public String edit(@RequestParam("id") int id, Map<String, Object> model) {
        Project project = projectService.getProject(id);
        List<ProjectBudgetPlanDetail> projectBudgetPlanDetails = projectBudgetService.getProjectBudgetPlanDetails(project);
        String time = "2021-11";
        model.put("time", time);
        model.put("project", project);
        model.put("estimateBean", projectEstimateService.getEstimate(project));
        model.put("budgetBean", projectBudgetService.getBudget(project));
        model.put("formerBean", projectSettleService.getFormerSettle(project, time));
        //现金表
        model.put("cashFlowBean", projectBudgetService.getCashFlowBean(project, projectBudgetPlanDetails));
        //freemarker可以利用的静态方法
        model.put("Utils", FreeMarkerUtil.fromStaticPackage("cn.palmte.work.utils.Utils"));
        return "admin/project_settle_edit";
    }

    @RequestMapping("/save")
    public String save(Project project, SettleBean settleBean, BudgetSettleBean budgetBean, EstimateSettleBean estimateBean, String time) {
        projectSettleService.save(project, settleBean, budgetBean, estimateBean, time);
        return "redirect:/project/list";
    }

    /**
     * 保存并提交审批
     * @param project
     * @param settleBean
     * @param budgetBean
     * @param estimateBean
     * @param time
     * @return
     * @throws Exception
     */
    @RequestMapping("/saveAndApprove")
    public String saveAndApprove(Project project, SettleBean settleBean, BudgetSettleBean budgetBean, EstimateSettleBean estimateBean, String time) throws Exception{
        projectSettleService.saveAndApprove(project, settleBean, budgetBean, estimateBean, time);
        return "redirect:/project/list";
    }
}
