package cn.palmte.work.controller.backend;

import cn.palmte.work.model.Admin;
import cn.palmte.work.service.ProjectSummaryService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import top.jfunc.common.db.bean.Page;
import top.jfunc.common.db.bean.Record;

import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * 项目汇总统计
 * @author Yuanping Zhang
 * @date 2021/11/10
 */
@Controller
@RequestMapping("/projectSummary")
public class ProjectSummaryController extends BaseController {
    private static final Logger logger = LoggerFactory.getLogger(ProjectSummaryController.class);

    @Autowired
    private ProjectSummaryService projectSummaryService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public String list(@RequestParam(value = KEYWORDS, required = false) String keywords,
                       @RequestParam(value = PAGE_NUMBER, defaultValue = DEFAULT_PAGE_NUMBER) int pageNumber,
                       @RequestParam(value = PAGE_SIZE, defaultValue = DEFAULT_PAGE_SIZE) int pageSize,
                       Map<String, Object> model) {
        //当前登录人的角色类型
        Admin admin = getAdmin();
        model.put("keywords",keywords);
        ConcurrentHashMap<String, String> searchInfo = getSearchInfo(keywords,model);
        List<Page<Record>> list = projectSummaryService.getList(searchInfo, pageNumber, pageSize);

        model.put("pager1", list.get(0));
        model.put("pager2", list.get(1));
        model.put("pager3", list.get(2));

        return "admin/project_summary";
    }
}
