<#assign base=request.contextPath />
<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>
    <div class="admin-content">
        <div class="admin-content-body">
            <div class="am-cf am-padding">
                <div class="am-fl am-cf"><strong class="am-text-primary am-text-lg">项目统计</strong> /
                    <small>分月项目统计</small></div>
            </div>

            <form method="post" class="am-form" id="pmsForm">
                <!--选项卡（tabs）begin-->
                <div class="am-tabs am-margin" data-am-tabs>
                    <ul class="am-tabs-nav am-nav am-nav-tabs">
                        <li class="am-active"><a href="#tab1">主要指标</a></li>
                        <li><a href="#tab2">损益表</a></li>
                        <li><a href="#tab3">现金流量表</a></li>
                    </ul>
                    <div class="am-tabs-bd">
                        <div class="am-tab-panel am-fade am-in am-active" id="tab1">
                            <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                                <thead>
                                <tr class="am-text-nowrap">
                                    <td>类别</td>
                                    <td>收入--设备类</td>
                                    <td>收入--施工类</td>
                                    <td>收入--服务类</td>
                                    <td>采购成本--设备类</td>
                                    <td>采购成本--施工类</td>
                                    <td>采购成本--服务类</td>
                                    <td>采购成本--其他</td>
                                    <td>成本--其他</td>
                                    <td>成本--项目管理成本</td>
                                    <td>财务费用--资金占用成本</td>
                                    <td>公司管理费用</td>
                                </tr>
                                </thead>

                                <tbody>
                                <#if  (primaryIndicatorList)?exists && (primaryIndicatorList?size>0)>
                                    <#list  primaryIndicatorList as list>
                                        <tr>
                                            <td>${list.title!}</td>
                                            <td>${list.incomeDevice!}</td>
                                            <td>${list.incomeEngineer!}</td>
                                            <td>${list.incomeService!}</td>
                                            <td>${list.costPurchaseDevice!}</td>
                                            <td>${list.costPurchaseBuild!}</td>
                                            <td>${list.costPurchaseService!}</td>
                                            <td>${list.costPurchaseOther!}</td>
                                            <td>${list.costOtherOther!}</td>
                                            <td>${list.costProjectManage!}</td>
                                            <td>${list.costExpropriation!}</td>
                                            <td>${list.costCompanyManage!}</td>
                                        </tr>
                                    </#list>
                                </#if>
                                </tbody>
                            </table>
                        </div>
                    </div>


                    <div class="am-tabs-bd">
                        <div class="am-tab-panel am-fade am-in" id="tab2">
                            <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                                <tbody>
                                <tr>
                                    <td>/</td>
                                    <td>营业收入</td>
                                    <td>营业成本</td>
                                    <td>项目管理成本</td>
                                    <td>其他</td>
                                    <td>财务费用</td>
                                    <td>项目毛利</td>
                                    <td>项目毛利率</td>
                                    <td>公司管理费用</td>
                                    <td>项目贡献利润</td>
                                    <td>项目贡献利润率</td>
                                    <td>所得税费用</td>
                                    <td>项目净利润</td>
                                    <td>项目净利润率</td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="am-tabs-bd">
                        <div class="am-tab-panel am-fade am-in" id="tab3">
                            <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                                <tbody>
                                <tr>
                                    <td>/</td>
                                    <td>销售商品、提供劳务收到的现金</td>
                                    <td>收到的税费返还</td>
                                    <td>收到其他与经营活动有关的现金</td>
                                    <td>购买商品、接受劳务支付的现金</td>
                                    <td>支付的各项税费</td>
                                    <td>支付其他与经营活动有关的现金</td>
                                    <td>经营活动产生的现金流量净额</td>
                                    <td>投资活动现金流入</td>
                                    <td>投资活动现金流出</td>
                                    <td>投资活动产生的现金流量净额</td>
                                    <td>借款资金流入</td>
                                    <td>还款资金流出</td>
                                    <td>筹资活动产生的现金流量净额</td>
                                    <td>货币资金净增加额</td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

                <!--选项卡（tabs）end-->
                <div class="am-margin">
                    <button type="button" class="am-btn am-btn-warning am-btn-xs" onclick="javascript:history.go(-1);">
                        返回上一级
                    </button>
                </div>
            </form>

        </div>
    </div>
    <script>
        var base = "${base}";
    </script>
</@defaultLayout.layout>















